You cannot upgrade AVIcode SE-Viewer 5.0 to 5.7

Article ID: 2519822 - View products that this article applies to.
Expand all | Collapse all

SYMPTOMS

When you try to upgrade AVIcode SE-Viewer from version 5.0 to 5.7, you receive the following message:

Can not upgrade currently installed version of AVIcode
Intercept SEViewer. Please uninstall the product before
running this setup.

CAUSE

AVIcode Intercept Studio 5.7 does not support direct upgrade from SE-Viewer 5.0 because of differences in how the two versions configure IIS.

RESOLUTION

To work around this limitation, uninstall SE-Viewer 5.0, manually remove the IIS components and install SE-Viewer 5.7. After the installation, you can run the SE-Viewer Configuration Utility to upgrade the existing database. Please see More Information for detailed steps.

MORE INFORMATION

Use the following steps to migrate from SE-Viewer 5.0 to 5.7:
  1. Create a backup of the SE-Viewer database.
  2. Start the SE-Viewer Configuration utility and take note of the SQL server name, SE-Viewer database name and SQL login name.
  3. Use Add or Remove Programs in Control Panel to uninstall SE-Viewer 5.0.
  4. Open IIS Manager and find the web site that contains the SEViewer and SELog virtual directories.
  5. Open the properties of the web site and take note of the TCP port it uses. This setting is on the Web Site tab.
  6. Also in IIS Manager, open the properties of the Intercept application pool and take note of the account it uses. This setting is on the Identity tab.
  7. Delete the SE-Viewer web site and Intercept application pool.
  8. Install SE-Viewer 5.7.
  9. Start the SE-Viewer Configuration Utility.
  10. Enter the names of the existing SQL server and SE-Viewer database.
  11. If you are using SQL authentication, enter the SQL login name for SE-Viewer.
  12. Click Test.
  13. When prompted, click Yes to upgrade the database.
  14. In the SE-Viewer Database Configuration dialog, enter the credentials of a SQL sysadmin account and click Connect. If the current user is a sysadmin, you can click "Use Windows NT Integrated security" instead of entering credentials manually.
  15. Click Execute to run the Upgrade Database action.
  16. When the database upgrade is complete, click Close.
  17. Click Apply to apply the configuration.
  18. If you were using a custom TCP port or application pool account on the old SE-Viewer, change the settings in IIS to match the previous configuration.
  19. If the application pool account is a user account, make sure this account has Read and Read & Execute permission on the SE-Viewer installation folder and all subfolders, as well as Full permission on the <installationDir>\Database folder and all subfolders.
  20. Finally, open the SE-Viewer web page to confirm it works. Check the Intercept event log for errors.

Note This is a "FAST PUBLISH" article created directly from within the Microsoft support organization. The information contained herein is provided as-is in response to emerging issues. As a result of the speed in making it available, the materials may include typographical errors and may be revised at any time without notice. See Terms of Use for other considerations.

Properties

Article ID: 2519822 - Last Review: March 10, 2011 - Revision: 2.0
APPLIES TO
  • AVIcode, Inc.
Keywords: 
KB2519822

Give Feedback

 

Contact us for more help

Contact us for more help
Connect with Answer Desk for expert help.
Get more support from smallbusiness.support.microsoft.com